﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using _349111.Properties;
using Telerik.WinControls.UI;
using System.IO;
using Telerik.WinControls;

namespace _349111
{
    public partial class Form1 : Form
    {
        RadLabelElement label = new RadLabelElement();

        public Form1()
        {
            InitializeComponent();
            PopulateRotator();

            label.Text = "label";
            label.StretchHorizontally = false;
            label.StretchVertically = false;
            CalcLabelLocation();
            radRotator1.RotatorElement.Children.Add(label);

            radRotator1.SizeChanged += new EventHandler(radRotator1_SizeChanged);

            radRotator1.Start();
        }

        void radRotator1_SizeChanged(object sender, EventArgs e)
        {
            CalcLabelLocation();
        }

        private void CalcLabelLocation()
        {
            int x = radRotator1.Location.X + radRotator1.Width / 2 - label.Size.Width / 2;
            int y = radRotator1.Location.Y + radRotator1.Height / 2 - label.Size.Height / 2;
            label.Location = new Point(x, y);
        }

        private void PopulateRotator()
        {
            RadImageItem img1 = new RadImageItem();
            img1.Image = Resources.RadTreeNodeEdit11;
            RadImageItem img2 = new RadImageItem();
            img2.Image = Resources.RadTreeNodeEdit22;
            RadImageItem img3 = new RadImageItem();
            img3.Image = Resources.RadTreeNodeEdit33;
            RadImageItem img4 = new RadImageItem();
            img4.Image = Resources.RadTreeNodeEdit44;
            RadImageItem[] arr = new RadImageItem[] { img1, img2, img3, img4 };
            radRotator1.Items.AddRange(arr);
        }


    }
}
